Bug 114281 - Two compiler warnings in gnome-pilot
Two compiler warnings in gnome-pilot
Product: Fedora
Classification: Fedora
Component: gnome-pilot (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
Depends On:
  Show dependency treegraph
Reported: 2004-01-26 05:28 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 2.0.12-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-21 13:11:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-01-26 05:28:43 EST
Description of problem:

I just tried to compile package gnome-pilot-2.0.10-4, from Redhat
Fedora Core 1.

The compiler said


pilot.c(401): warning #1011: missing return statement at end of
non-void function "free_conduit_list"

The source code is

void *
free_conduit_list (GList *conduits)
        /* FIXME Properly free each state */

        g_list_free (conduits);

Looks like a missing return statement to me.


gpilotd-client.c(420): warning #140: too many arguments in function call

The source code is

	get_system_info (gpc);

but, earlier in the file

static void
get_system_info ()

Suggest remove gpc from call to get_system_info.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Dave Malcolm 2004-09-21 13:11:00 EDT
re (1):  This is still present in gnome-pilot-2.0.12;
capplet/pilot.[ch]: free_conduit_list: looks like a bad argument;
should return void rather than void*    It appears that it never gets
called, so it looks like a memory leak, rather than a crash.

re (2): This is also still present in gnome-pilot-2.0.12;
utils/gpilotd-client.c: your suggestion of removing the gpc from the
call appears to be the correct fix (should also have an explicit void
in the declaration of the function)

I've fixed these and rebuilt into rawhide as gnome-pilot-2.0.12-3

I've reported the patch upstream here:

Note You need to log in before you can comment on or make changes to this bug.